//===============================================================
// vPrefs.h - The vPrefs class - Windows
//	Version 2.00	date: 14 Mar 2003 11:32:34
// Copyright (C) 1995,1996  Bruce E. Wampler
//===============================================================

#ifndef VPREFS_H
#define VPREFS_H

#include <fstream>
using std::ifstream;
using std::ofstream;
using std::endl;

    class vPrefs
      {

      public:		//---------------------------------------- public
	vPrefs();
	~vPrefs();

	int openSave(const char* name, const char* title = "[prefs]",
		const char* subdir="");
	void closeSave();
	void addString(const char* entry, const char* str);
	void addLong(const char* entry, long val);

	int openRead(const char* name, const char* title="[prefs]",
		const char* subdir="");
	void closeRead();
	int getString(const char* entry, char* str);
	int getLong(const char* entry, long& val);


      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private
	ifstream inFile;
	ofstream outFile;

  };

#endif
