//=======================================================================
// vstdci.h:	Source for vstandardci class
//	Version 2.00	date: 13 Mar 2003 07:52:40
//  Copyright (C) 1995-2003  Bruce E. Wampler
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  (see COPYING) along with this program; if not, write to the Free
//  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//=======================================================================#ifndef VSTDCMDINTERP_H
#ifndef VSTDCMDINTERP_H
#define VSTDCMDINTERP_H

#include "vbaseci.h"

     class vStandardCI : public vBaseTECmdInterp
      {

        public:
          vStandardCI(vTextEditor* textEd, vCmdWindow* cw);
          virtual ~vStandardCI();


          virtual int ProcessKey(vKey key, unsigned int shift);
          virtual void InitCmdInterp();
          virtual void CmdInterpHelp();

	protected:

	    // long cmdCount;	// how many times to repeat command

	    // int
	    // 	countWait,  // if building a count
	    //	metaChar,   // the meta char for commands
	    //	metaWait;   // if waiting on a meta command

        private:
	    int findWait;	// for keyboard input finds
	    int recording;	// recording Q-macro
	    int settingQ;	// setting current Q register

      };

#endif
